package cokr.xit.ens.core.jpa.dialect;

import org.hibernate.dialect.Oracle10gDialect;
import org.hibernate.dialect.function.StandardSQLFunction;
import org.hibernate.type.StandardBasicTypes;

public class Oracle10gDialectCustom extends Oracle10gDialect {

    public Oracle10gDialectCustom() {
        super();

        registerFunction("ECL_DECRYPT", new StandardSQLFunction("ECL_DECRYPT", StandardBasicTypes.STRING));
        registerFunction("ECL_ENCRYPT", new StandardSQLFunction("ECL_ENCRYPT", StandardBasicTypes.STRING));
    }
}
